Modify

#679 closed enhancement (fixed)

[patch] Use server-side buddy list for Gadu-Gadu

Reported by: rover.orna@… Owned by: wilmer
Priority: normal Milestone:
Component: Purple Version: devel
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

Gadu-Gadu (prpl-gg) stores the buddy list locally, but also lets the user upload/download this list to/from server. This patch downloads buddy list when user connects, and uploads it when a buddy is added/removed. Without it contacts added to GG account disappear after disconnecting from bitlbee.

Attachments (1)

bitlbee_gg_buddies.patch (3.1 KB) - added by rover.orna@… at 2010-09-19T14:39:28Z.

Download all attachments as: .zip

Change History (6)

Changed at 2010-09-19T14:39:28Z by rover.orna@…

Attachment: bitlbee_gg_buddies.patch added

comment:1 Changed at 2010-09-20T14:31:39Z by wilmer

Thanks for the patch! I'll make sure to remember to merge this in before releasing this stuff. I may make it a setting since IIRC some people actually prefer not storing a contact list on the server.

You were asking two things on IRC: Yes, I have plans to generally export purple plugin actions; that was my initial plan for solving this issue, but your solution is probably nicer even though it does hard-coding.

And about making plugins: See how the Skype plugin does it, see the file doc/HACKING, and also I just did some work (not pushed out yet, not 100% finished) on converting bitlbee-otr into a plugin that may help you. What are you trying to do? A native libgg plugin for BitlBee?

comment:2 Changed at 2010-09-20T21:56:20Z by rover.orna@…

Without storing on gg server (like in this patch) the list would have to be stored on bitlbee server. Is it possible in new (devel) versions?

This solution is nicer for some users, but it's not what I would call least suprising way of solving this for GG users (in all other clients you have to export/import it yourself, sometimes first import is automated). Making it an account setting is a good idea. Are there any other protocols that need similar code?

And about plugin - I was thinking about making a simple history plugin, but I think I'll just use a proxy for this functionality

comment:3 Changed at 2010-11-21T19:09:55Z by wilmer

Resolution: fixed
Status: newclosed

comment:4 Changed at 2011-09-26T13:45:51Z by kj

I just installed bitlbee 3.0.3 and it won't import/export gg buddy list from server at conn/disc anymore. When I add random contact, it disapear when I disconnect from gg. It is added only to user.xml as buddy handle.

comment:5 Changed at 2011-10-20T03:12:56Z by wilmer

user.xml is useless. They only get written because it seems impossible to tell libpurple not to.

You did enable the gg_sync_contacts setting?

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.